package com.muyu.marketing.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.marketing.domain.model.ActivityTeamInfoSaveModel;
import lombok.*;
import lombok.experimental.SuperBuilder;

import java.sql.Date;
import java.sql.Timestamp;

/**
 * 拼团信息表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@EqualsAndHashCode(callSuper = true)
@TableName(value = "activity_team_info",autoResultMap = true)
public class ActivityTeamInfo extends BaseEntity {
    /**
     * 主键
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;
    /**
     * 拼团名称
     */
    private String name;
    /**
     * 商品ID
     */
    private long productId;
    /**
     * 商品活动图
     */
    private String productImage;
    /**
     * 活动简介
     */
    private String introduction;
    /**
     * 单位
     */
    private String unit;
    /**
     * 轮播图
     */
    private String imageList;
    /**
     * 活动结束时间
     */
    private Date endTime;
    /**
     * 活动排序
     */
    private long sort;
    /**
     * 活动详情
     */
    private String content;
    /**
     * 活动状态
     */
    private String status;
    /**
     * 策略类型
     */
    private String strategyType;
    /**
     * 策略ID
     */
    private long strategyId;


    /**
     * 构造方法
     */
    public static ActivityTeamInfo saveActivityTeamInfo(ActivityTeamInfoSaveModel activityTeamInfoSaveModel) {
        return ActivityTeamInfo.builder()
                .name(activityTeamInfoSaveModel.getName())
                .productId(activityTeamInfoSaveModel.getProductId())
                .productImage(activityTeamInfoSaveModel.getProductImage())
                .introduction(activityTeamInfoSaveModel.getIntroduction())
                .unit(activityTeamInfoSaveModel.getUnit())
                .imageList(activityTeamInfoSaveModel.getProductImage())
                .endTime((Date) activityTeamInfoSaveModel.getEndTime())
                .sort(activityTeamInfoSaveModel.getSort())
                .content(activityTeamInfoSaveModel.getContent())
                .status(activityTeamInfoSaveModel.getStatus())
                .strategyType(activityTeamInfoSaveModel.getStrategyType())
                .strategyId(activityTeamInfoSaveModel.getStrategyId())
                .build();


    }
}
