package com.muyu.marketing.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.marketing.domain.model.TeamSkuInfoModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;
import java.util.function.Function;

@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@TableName(value = "activity_team_product_sku_info",autoResultMap = true)
public class ActivityTeamProductSkuInfo extends BaseEntity {
    /**
     * 主键
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;
    /**
     * 活动ID
     */
    private Long teamId;
    /**
     * 商品ID
     */
    private Long productId;
    /**
     * 商品SKU
     */
    private String productSku;
    /**
     * 拼团库存
     */
    private Long teamStock;
    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;

    /**
     * 构造函数的方法
     * TeamSkuInfoModel  商品sku模型
     */
    public static ActivityTeamProductSkuInfo TeamSkuInfoBuild(TeamSkuInfoModel teamSkuInfoModel, Function<ActivityTeamProductSkuInfoBuilder,ActivityTeamProductSkuInfo> function){
        return function.apply(ActivityTeamProductSkuInfo.builder()
                .teamPrice(teamSkuInfoModel.getTeamPrice())
                .teamStock(teamSkuInfoModel.getTeamStock())
                .productSku(teamSkuInfoModel.getProductSku())
                .productId(teamSkuInfoModel.getProductId()));
    }
}
