package com.muyu.marketing.domain.model;

import com.muyu.marketing.domain.ActivityTeamInfo;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;
import java.util.Date;
import java.util.function.Function;

@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class ActivityTeamInfoListModel {
    private Long id;
    private String name;
    private String productImage;
    private BigDecimal productPrice;
    private BigDecimal teamPrice;
    private Long attendNumber;
    private Long openTeamNumber;
    private Long addTeamNumber;
    private Long teamStock;
    private Long remainStock;
    private String endTime;
    private String status;

    public static ActivityTeamInfoListModel domainBuild(ActivityTeamInfo activityTeamInfo, Function<ActivityTeamInfoListModelBuilder,ActivityTeamInfoListModel> function){
        return function.apply(
                ActivityTeamInfoListModel.builder()
                        .id(activityTeamInfo.getId())
                        .name(activityTeamInfo.getName())
                        .endTime(String.valueOf(activityTeamInfo.getEndTime()))
                        .productImage(activityTeamInfo.getProductImage())
                        .status(activityTeamInfo.getStatus())
        );
    }
}
