package com.muyu.marketing.domain.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @create: 2024-11-22 16:57
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class ActivityTeamInfoSaveModel {
    /**
     * 商品id
     */
    private Long productId;
    /**
     * 商品图片
     */
    private String productImage;
    /**
     * 活动名称
     */
    private String name;
    /**
     * 活动简介
     */
    private String introduction;
    /**
     * 商品单位
     */
    private String unit;
    /**
     * 商品轮播图
     */
    private List<String> imageList;
    /**
     * 活动结束时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * 详情
     */
    private String content;
    /**
     * 状态
     */
    private String status;
    /**
     * 拼团类型
     */
    private String strategyType;
    /**
     * 拼团id
     */
    private Long strategyId;
    /**
     * 商品sku
     */
    private List<TeamSkuInfoModel> projectSkuInfoList;

}
