package com.muyu.marketing.domain.model;

import lombok.*;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;
import java.math.RoundingMode;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class TeamProductDiscountPriceModel {

    /**
     * 商品价格
     */
    private BigDecimal productPrice;

    /**
     * 团购优惠价格
     */
    private BigDecimal teamPrice;

    /**
     * 优惠力度
     */
    private double discount;

    /**
     * 通过商品价格 和团购价格 生成优惠力度
     */
    public static TeamProductDiscountPriceModel of(BigDecimal productPrice,BigDecimal teamPrice){
        return TeamProductDiscountPriceModel.builder()
                .productPrice(productPrice)
                .teamPrice(teamPrice)
                .discount(
                        productPrice.subtract(teamPrice).divide(productPrice,2, RoundingMode.HALF_UP).doubleValue()
                )
                .build();

    }
}
