package com.muyu.marketing.domain.req;

import com.muyu.common.core.web.page.PageDomain;
import com.muyu.marketing.domain.model.ActivityTeamInfoListModel;
import com.muyu.marketing.domain.model.ActivityTeamInfoListQueryModel;
import lombok.*;
import lombok.experimental.SuperBuilder;

@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@EqualsAndHashCode(callSuper = true)
public class TeamInfoListReq extends PageDomain {
    /**
     * 搜索关键词
     */
    private String keyWord;

    /**
     * 活动状态
     */
    private String status;

    /**
     * 分页
     */
    private Integer pageNum=1;
    private Integer pageSize=2;

    /**
     * 通过当前对象查询构建模型
     */
    public ActivityTeamInfoListQueryModel buildModel() {
        return ActivityTeamInfoListQueryModel.builder()
                .keyWord(keyWord)
                .status(status)
                .pageNum(pageNum)
                .pageSize(pageSize)
                .build()
                .domainbuild(this);
    }
}
