package com.muyu.marketing.domain.resp;

import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.marketing.domain.model.ActivityTeamInfoListModel;
import lombok.*;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class TeamInfoResp {

    /**
     * 拼团活动ID
     */
    private Long id;
    /**
     * 拼团名称
     */
    private String name;
    /**
     * 参团人数
     */
    private Long addTeamNumber;
    /**
     * 拼团人数
     */
    private Long attendNumber;
    /**
     * 团购结束时间
     */
    private String endTime;
    /**
     * 开团人数
     */
    private Long openTeamNumber;
    /**
     * 拼团商品图片
     */
    private String productImage;
    /**
     * 商品价格
     */
    private BigDecimal productPrice;
    /**
     * 剩余库存
     */
    private Long remainStock;

    /**
     * 团购状态
     */
    private String status;
    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;
    /**
     * 团购库存
     */
    private Long teamStock;

    public static TeamInfoResp respBuild(ActivityTeamInfoListModel activityTeamInfoListModel){
        return TeamInfoResp.builder()
                .id(activityTeamInfoListModel.getId())
                .name(activityTeamInfoListModel.getName())
                .endTime(activityTeamInfoListModel.getEndTime())
                .productImage(activityTeamInfoListModel.getProductImage())
                .status(activityTeamInfoListModel.getStatus())
                .addTeamNumber(activityTeamInfoListModel.getAddTeamNumber())
                .attendNumber(activityTeamInfoListModel.getAttendNumber())
                .openTeamNumber(activityTeamInfoListModel.getOpenTeamNumber())
                .productPrice(activityTeamInfoListModel.getProductPrice())
                .remainStock(activityTeamInfoListModel.getRemainStock())
                .teamPrice(activityTeamInfoListModel.getTeamPrice())
                .teamStock(activityTeamInfoListModel.getTeamStock())
                .build();
    }
}
