package com.muyu.marketing.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.core.enums.market.team.TeamOpenTypeEnum;
import com.muyu.marketing.domain.ActivityTeamOpenInfo;

public interface ActivityTeamOpenInfoService extends IService<ActivityTeamOpenInfo> {

    /**
     * 开团类型
     * 开团数量
     */
    public Long getTeamOpenNumberByTeamIdAndType(Long teamId, TeamOpenTypeEnum teamOpenType);

    /**
     * 根据活动ID获取开团数量
     */
    public default Long getTeamOpenTypeNumberByTeamId(Long teamId){
        return this.getTeamOpenNumberByTeamIdAndType(teamId,TeamOpenTypeEnum.OPEN_TEAM);
    }

    /**
     * 根据活动ID获取参团数量
     * @param teamId
     * @return
     */
    public default Long getTeamTypeNumberByTeamId(Long teamId){
        return this.getTeamOpenNumberByTeamIdAndType(teamId,TeamOpenTypeEnum.IN_TEAM);
    }



}
