package com.muyu.marketing.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.marketing.domain.ActivityTeamProductSkuInfo;
import com.muyu.marketing.domain.model.TeamProductDiscountPriceModel;
import com.muyu.marketing.domain.model.TeamStockModel;

import java.util.List;

public interface ActivityTeamProductSkuInfoService extends IService<ActivityTeamProductSkuInfo> {
    /**
     * 根据团购活动ID获取团购中最优惠的价格
     */
    public default List<ActivityTeamProductSkuInfo> acivitySkuList (Long id){
        LambdaQueryWrapper<ActivityTeamProductSkuInfo> lambdaQueryWrapper = new LambdaQueryWrapper<>();
        lambdaQueryWrapper.eq(ActivityTeamProductSkuInfo::getTeamId,id);
        return this.list(lambdaQueryWrapper);
    }

    public TeamProductDiscountPriceModel discountPrice(Long teamId);
    public TeamStockModel getStock(Long id);
}
